/**
 * Copyright (c) 2016 Kiel University and others.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipse.elk.core.meta.ui;

import org.eclipse.elk.core.meta.validation.MelkUniqueClassNameValidator;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.eclipse.xtend.lib.annotations.FinalFieldsConstructor;
import org.eclipse.xtext.service.SingletonBinding;
import org.eclipse.xtext.xbase.validation.UniqueClassNameValidator;

/**
 * Use this class to register components to be used within the Eclipse IDE.
 */
@FinalFieldsConstructor
@SuppressWarnings("all")
public class MetaDataUiModule extends AbstractMetaDataUiModule {
  @SingletonBinding(eager = true)
  @Override
  public Class<? extends UniqueClassNameValidator> bindUniqueClassNameValidator() {
    return MelkUniqueClassNameValidator.class;
  }

  public MetaDataUiModule(final AbstractUIPlugin arg0) {
    super(arg0);
  }
}
